Bug 1475763 - Review Request: golang-github-Unknwon-goconfig - Configuration file parser for the Go Programming Language
Review Request: golang-github-Unknwon-goconfig - Configuration file parser fo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabio Valentini
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1473314
  Show dependency treegraph
 
Reported: 2017-07-27 05:35 EDT by Robert-André Mauchin
Modified: 2017-08-31 10:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-28 18:22:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
decathorpe: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Robert-André Mauchin 2017-07-27 05:35:08 EDT
Spec URL: https://github.com/eclipseo/packaging/blob/ec6f7c0/golang-github-Unknwon-goconfig.spec
SRPM: https://kojipkgs.fedoraproject.org//work/tasks/1738/20711738/golang-github-Unknwon-goconfig-0-0.1.git87a46d9.fc27.src.rpm
Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=20711737

Description: Configuration file parser for the Go Programming Language

It is needed by rclone, bug #1473314.

Fedora Account System Username: eclipseo

I am looking for a sponsorship, please consider me.

Thanks.
Comment 2 Fabio Valentini 2017-08-17 12:58:11 EDT
Taking this review.

- The .src.rpm file is no longer available at that link, please re-upload (even github would work better, koji builds are recycled regularly).
- Make sure to link the "raw" github link of any files, otherwise fedora-review can't process the links correctly.

PS: Please follow the Review Request template so the request can be processed more easily.

"
Spec URL: URL
SRPM URL: URL
(etc.)
"
Comment 4 Fabio Valentini 2017-08-17 13:24:09 EDT
There are two small issues with the .spec file:

1) According to the changed Versioning guidelines (that gofed hasn't yet been adapted to comply with), the snapshot _DATE_ must be also part of the Release string. So, change the Release line to:

Release:        0.1.%{commitdate}.git%{shortcommit}%{?dist}

and add a "%global commitdate 20161121" to the definitions at the beginning of the spec file (also, dont forget to update this when doing snapshot updates later). You will also have to adapt the version-release number in the changelog entry.

2) The manually created "testdata" directory is unowned. Add a
  %dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}/testdata
entry to the -unit-test-devel subpackage (please double-check that string for typos on my side).


Otherwise, the .spec file (except for copying the testdata manually, which is necessary) corresponds exactly with the template that gofed generates, and is thus generally acceptable.

Once those two issues are fixed (you don't have to bump the release from 1 to 2, it's not required from my side), I'll approve the package.
Comment 5 Robert-André Mauchin 2017-08-17 14:10:32 EDT
Spec URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/rclone/fedora-rawhide-x86_64/00591293-golang-github-Unknwon-goconfig/golang-github-Unknwon-goconfig.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/rclone/fedora-rawhide-x86_64/00591293-golang-github-Unknwon-goconfig/golang-github-Unknwon-goconfig-0-0.1.20161121.git87a46d9.fc27.src.rpm


1) Done.

2) I did not add a %dir "testdata", instead I've changed how I was packaging testdata based on reviews I did more recently, it should be more consistent and take care of the %dir automatically.
Comment 6 Fabio Valentini 2017-08-17 14:32:43 EDT
Package Review
==============

(...)
[x]: Package complies to the Packaging Guidelines
(...)

Package approved.
Comment 7 Robert-André Mauchin 2017-08-17 14:45:23 EDT
Thank you!
Comment 8 Gwyn Ciesla 2017-08-17 17:25:12 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-Unknwon-goconfig
Comment 9 Fedora Update System 2017-08-19 15:56:48 EDT
golang-github-Unknwon-goconfig-0-0.1.20161121git87a46d9.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-43074215e5
Comment 10 Fedora Update System 2017-08-20 21:22:27 EDT
golang-github-Unknwon-goconfig-0-0.1.20161121git87a46d9.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a916bfeaee
Comment 11 Fedora Update System 2017-08-22 14:07:46 EDT
golang-github-Unknwon-goconfig-0-0.1.20161121git87a46d9.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-43074215e5
Comment 12 Fedora Update System 2017-08-28 18:22:12 EDT
golang-github-Unknwon-goconfig-0-0.1.20161121git87a46d9.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2017-08-31 10:55:37 EDT
golang-github-Unknwon-goconfig-0-0.1.20161121git87a46d9.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.